#product-container {
    
    border-top: solid 2px #26507F;
}
.product {
    border-bottom: solid 2px #26507F;
    padding: 16px;
    /* margin: 16px; */
    margin-bottom: 10px;
    position: relative;
    display: flex;
}
.productImage {
    flex: 1;
}
.productImage img {
    max-width: 100%;
    height: auto;
    width: 100%;
}
.productDetails {
    flex: 3;
    padding-left: 20px;
    padding-right: 20px;
    position: relative;
}
.productName {
    font-size: 24px;
    margin-bottom: 8px;
    padding-right: 160px;
    font-family: 'Archivo Black', sans-serif;
    color: #26507F;
}
.productDescription {
    font-size: 16px;
    margin-bottom: 8px;
}
.productDescription ul {
    list-style-type: disc;
    padding-left: 20px;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
    gap: 10px;
    
}
.productPrice {
    font-size: 20px;
    margin-bottom: 8px;
    position: absolute;
    top: 0;
    right: 10px;
    color: #26507F;
}
.productOptions {
    flex: 1;
    padding-left: 16px;
}
.label {
    font-weight: bold;
    margin-top: 10px;
    text-transform: uppercase;
    display: block;
    font-size: 14px;
}
.colors {
    margin-top: 8px;
}

.color-btn {
    width: 24px;
    height: 24px;
    border-radius: 50%;
    border: none;
    margin-right: 8px;
    cursor: pointer;
    /* display: flex; */
    justify-content: center;
    align-items: center;
}

.color-btn .color-part {
    width: 200%;
    height: 100%;
    border-radius: 50%;
    margin-left: -50%;
    border: 1px solid #9f9f9f;
}
.color-btn.selected .color-part {
    border: 3px solid #000;
}
.sizes {
    margin-top: 8px;
}
.sizes div {
    display: inline-block;
    padding: 10px;
    border: 1px solid #000;
}

.product-list {
    display: flex;
    flex-direction: column;
}

.product-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(360px, 1fr));
    gap: 10px;
}

.product-grid .product {
    flex-direction: column;
    margin-bottom: 0px;
}
.product-grid .productImage, {

}
#toggle-container {
    display: block;
    position: relative;
    margin-bottom: 16px;
}
.view-toggle, .sort-toggle {
    margin: 16px;
}
.sort-toggle button {
    background-color: #26507F;
    color: white;
    display: inline-block;
    padding: 8px 16px;
    border: none
}
.view-toggle {
    position: absolute;
    right: 0;
}

.view-toggle button {
    background-color: transparent;
    color: #26507F;
    font-size:28px;
    border: none;
}

.old-price {
    text-decoration: line-through;
    color: red;
}

.offer-badge {
    position: absolute;
    top: 16px;
    left: 16px;
    background-color: red;
    color: white;
    padding: 4px 8px;
    font-size: 18px;
    border-radius: 4px;
}

@media (max-width: 650px) {
    .product {
        flex-direction: column;
    }
    .productImage {
        width: 100%;
        margin-bottom: 20px;
    }
    .productDetails {
        padding-left: 0;
        padding-right: 0;
    }
    .productOptions {
        padding-left: 0;
    }
    .productPrice {
        position: relative;
        margin-top: 16px;
        right: 0;
    }
    .productDescription ul {
        grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    }
    .view-toggle {
        display: none;
    }
}